apiVersion: apps/v1
kind: Deployment
metadata:
  name: cyb-sandbox-node
  namespace: cyb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cyb-sandbox-node
  template:
    metadata:
      labels:
        app: cyb-sandbox-node
    spec:
      containers:
        - name: cyb-sandbox-node
          env:
            - name: PRIVATE_BAKERS
              value: "1"
            - name: BLOCK_LIMIT
              value: "200_000_000"
            - name: CYB_BAKER_URL_0
              value: http://cyb-rest-baker:8080/api/mempool
            - name: ROOT_PATH
              value: /tezos-data/sandbox
          image: coexyaedi/tezos-sandbox-mempool
          imagePullPolicy: Always
          volumeMounts:
            - mountPath: /tezos-data
              name: cyb-data-vol
              subPath: node-data
      volumes:
        - name: cyb-data-vol
          emptyDir: {}
---
apiVersion: v1
kind: Service
metadata:
  name: cyb-sandbox-node
  namespace: cyb
spec:
  type: ClusterIP
  clusterIP: None
  ports:
    - port: 42
      protocol: TCP
      targetPort: 42
  selector:
    app: cyb-sandbox-node
